function [err, X] = compute_rep_cone(D, Y, s, rad, iter_cd, err_thresh)
% Compute representations of many signals by calling omp_cone_single on
% each of them. The main purpose is to get the representation error.

[m,N] = size(Y);
err = zeros(N,1);
X = zeros(size(D,2),N);
for ii = 1 : N
    y = Y(:,ii);
    [x, Da, supp] = omp_cone_single(y, D, s, rad, iter_cd, err_thresh);
    err(ii) = sqrt(norm(y-Da*x)^2)/sqrt(m);
    X(supp,ii) = x;
end
